Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039659
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-11-20 18:062018-12-11 20:22
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision65f68c63d325
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039659: Cluster Service Leader Registrator should be able to recover properly after restarting the database

DescriptionThe Cluster Service Leader Registrator thread is not recovering nicely after restarting the database.
Steps To Reproduce1) Configure Openbravo.properties to enable the ClusterServiceManager: cluster=true
2) Start Openbravo
3) Stop the database (without stopping Tomcat). The following warning will appear in the log after a few seconds:
[Cluster Service Leader Registrator] WARN org.openbravo.cluster.ClusterServiceManager - Node <nodeid> could not complete register/update
5) Restart the database. Note that the error continues
6) Check that the last ping is not being updated: select updated from ad_cluster_service;
      
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108028)
hgbot (developer)
2018-11-21 10:33

Repository: erp/devel/pi
Changeset: 65f68c63d325eeac390d2e93c0d2940e26412d30
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 21 10:17:42 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/65f68c63d325eeac390d2e93c0d2940e26412d30 [^]

fixes bug 39659: ClusterServiceThread doesn't recover properly after DB restart

  Moved OBDal.getInstance().commitAndClose(); to a finally block in order to ensure that the connection is returned properly to the pool even if there is an error during the registering/update of the cluster service leader.

  Besides, in the finally block we are also forcing the cluster service to go to the database to check which node is the leader. Otherwise, in case of error it will be always checking against the ID of the leader that it keeps in cache.

---
M src/org/openbravo/cluster/ClusterServiceManager.java
---
(0108030)
hgbot (developer)
2018-11-21 11:28

Repository: erp/devel/pi
Changeset: 3d12a2f7f902a055da7d3511ef68cba643789095
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 21 11:28:19 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d12a2f7f902a055da7d3511ef68cba643789095 [^]

related to issue 39659: improve log adding exception trace

---
M src/org/openbravo/cluster/ClusterServiceManager.java
---
(0108084)
alostale (developer)
2018-11-23 13:46

tested + reviewed
(0108488)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108489)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-20 18:06 caristu New Issue
2018-11-20 18:06 caristu Assigned To => platform
2018-11-20 18:06 caristu Modules => Core
2018-11-20 18:06 caristu Triggers an Emergency Pack => No
2018-11-20 18:06 caristu Assigned To platform => caristu
2018-11-20 18:07 caristu Steps to Reproduce Updated View Revisions
2018-11-20 18:07 caristu Steps to Reproduce Updated View Revisions
2018-11-20 18:07 caristu Steps to Reproduce Updated View Revisions
2018-11-21 10:33 hgbot Checkin
2018-11-21 10:33 hgbot Note Added: 0108028
2018-11-21 10:33 hgbot Status new => resolved
2018-11-21 10:33 hgbot Resolution open => fixed
2018-11-21 10:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/65f68c63d325eeac390d2e93c0d2940e26412d30 [^]
2018-11-21 11:28 hgbot Checkin
2018-11-21 11:28 hgbot Note Added: 0108030
2018-11-21 11:28 caristu Review Assigned To => alostale
2018-11-23 13:46 alostale Note Added: 0108084
2018-11-23 13:46 alostale Status resolved => closed
2018-11-23 13:46 alostale Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108488
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108489


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker